Bug 1257097 - gstatus: Product name is incorrect
gstatus: Product name is incorrect
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gstatus (Show other bugs)
3.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Sachidananda Urs
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 05:41 EDT by Anil Shah
Modified: 2016-10-28 09:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: gstatus-0.65-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-28 09:11:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Shah 2015-08-26 05:41:16 EDT
Description of problem:
gstatus -s display Product Name, which is not correct

Version-Release number of selected component (if applicable):

[root@darkknight bricks]# rpm -qa | grep glusterfs
glusterfs-client-xlators-3.7.1-12.el7rhgs.x86_64
glusterfs-server-3.7.1-12.el7rhgs.x86_64
glusterfs-3.7.1-12.el7rhgs.x86_64
glusterfs-api-3.7.1-12.el7rhgs.x86_64
glusterfs-cli-3.7.1-12.el7rhgs.x86_64
glusterfs-geo-replication-3.7.1-12.el7rhgs.x86_64
glusterfs-libs-3.7.1-12.el7rhgs.x86_64
glusterfs-fuse-3.7.1-12.el7rhgs.x86_64
glusterfs-rdma-3.7.1-12.el7rhgs.x86_64
[root@darkknight bricks]# gstatus --version
gstatus 0.64


How reproducible:
100%

Steps to Reproduce:
1. Create 6*2 distribute-replicate volume
2. gstatus -s 
3.

Actual results:

[root@darkknight bricks]# gstatus -s
 
     Product: RHGS vserver3.1    Capacity: 199.00 GiB(raw bricks)
      Status: HEALTHY                        2.00 GiB(raw used)
   Glusterfs: 3.7.1                        114.00 GiB(usable from volumes)
  OverCommit: No                Snapshots:   1


Expected results:

Product Name should be RHGS server v3.1

Additional info:
Comment 2 Anil Shah 2015-09-08 09:07:46 EDT
Bug verified on build glusterfs-3.7.1-14.el7rhgs.x86_64

Volume 'update'. Processing volume testvol     
     Product: RHGS Server v3.1   Capacity:   1.80 TiB(raw bricks)
      Status: UNHEALTHY(7)                   1.00 GiB(raw used)
   Glusterfs: 3.7.1                          1.80 TiB(usable from volumes)
  OverCommit: No                Snapshots:   0

Note You need to log in before you can comment on or make changes to this bug.